#include <bindings.dsl.h>
#include <aupvlist.h>

module Bindings.AudioFile.PVList where
#strict_import

#num AU_PVTYPE_LONG
#num AU_PVTYPE_DOUBLE
#num AU_PVTYPE_PTR

#opaque_t  _AUpvlist
#synonym_t AUpvlist, Ptr <_AUpvlist>

#pointer AU_NULL_PVLIST

#ccall AUpvnew        , CInt -> IO <AUpvlist>
#ccall AUpvgetmaxitems, <AUpvlist> -> IO CInt
#ccall AUpvfree       , <AUpvlist> -> IO CInt
#ccall AUpvsetparam   , <AUpvlist> -> CInt -> IO CInt
#ccall AUpvsetvaltype , <AUpvlist> -> CInt -> CInt -> IO CInt
#ccall AUpvsetval     , <AUpvlist> -> CInt -> Ptr () -> IO CInt
#ccall AUpvgetparam   , <AUpvlist> -> CInt -> Ptr CInt -> IO CInt
#ccall AUpvgetvaltype , <AUpvlist> -> CInt -> Ptr CInt -> IO CInt
#ccall AUpvgetval     , <AUpvlist> -> CInt -> Ptr () -> IO CInt
